import{s as me,o as he,n as fe}from"../chunks/scheduler.db6b1edd.js";import{S as we,i as $e,g as p,s as r,r as W,A as xe,h as d,f as l,c,j as de,u as Q,x as f,k as X,y as ve,a as o,v as Z,d as V,t as Y,w as K,m as j,n as U}from"../chunks/index.ef84021a.js";import{T as ue}from"../chunks/Tip.67451c24.js";import{C as ge}from"../chunks/CodeBlock.786162a6.js";import{H as _e}from"../chunks/Heading.87f70b00.js";function Ce(q){let i,n,h="datasets with Parquet exports",u;return{c(){i=j("Currently, only "),n=p("a"),n.textContent=h,u=j(`
  are supported so Datasets Server can index the contents and run the filter query without
  downloading the whole dataset.`),this.h()},l(a){i=U(a,"Currently, only "),n=d(a,"A",{href:!0,"data-svelte-h":!0}),f(n)!=="svelte-1im6jtl"&&(n.textContent=h),u=U(a,`
  are supported so Datasets Server can index the contents and run the filter query without
  downloading the whole dataset.`),this.h()},h(){X(n,"href","./parquet")},m(a,w){o(a,i,w),o(a,n,w),o(a,u,w)},p:fe,d(a){a&&(l(i),l(n),l(u))}}}function Me(q){let i,n,h="'Scarlett'",u,a,w="'O''Hara'",m;return{c(){i=j(`Note that, following SQL syntax, string values in comparison predicates must be enclosed in single quotes,
  for example: `),n=p("code"),n.textContent=h,u=j(`.
  Additionally, if the string value contains a single quote, it must be escaped with another single quote,
  for example: `),a=p("code"),a.textContent=w,m=j(".")},l(s){i=U(s,`Note that, following SQL syntax, string values in comparison predicates must be enclosed in single quotes,
  for example: `),n=d(s,"CODE",{"data-svelte-h":!0}),f(n)!=="svelte-uyb2m4"&&(n.textContent=h),u=U(s,`.
  Additionally, if the string value contains a single quote, it must be escaped with another single quote,
  for example: `),a=d(s,"CODE",{"data-svelte-h":!0}),f(a)!=="svelte-18f3gv"&&(a.textContent=w),m=U(s,".")},m(s,$){o(s,i,$),o(s,n,$),o(s,u,$),o(s,a,$),o(s,m,$)},p:fe,d(s){s&&(l(i),l(n),l(u),l(a),l(m))}}}function Te(q){let i,n,h,u,a,w,m,s="Datasets Server provides a <code>/filter</code> endpoint for filtering rows in a dataset.",$,x,k,g,ee=`This guide shows you how to use Datasets Server’s <code>/filter</code> endpoint to filter rows based on a query string.
Feel free to also try it out with <a href="https://redocly.github.io/redoc/?url=https://datasets-server.huggingface.co/openapi.json#operation/filterRows" rel="nofollow">ReDoc</a>.`,D,_,te="The <code>/filter</code> endpoint accepts the following query parameters:",E,C,le="<li><code>dataset</code>: the dataset name, for example <code>glue</code> or <code>mozilla-foundation/common_voice_10_0</code></li> <li><code>config</code>: the configuration name, for example <code>cola</code></li> <li><code>split</code>: the split name, for example <code>train</code></li> <li><code>where</code>: the filter condition</li> <li><code>offset</code>: the offset of the slice, for example <code>150</code></li> <li><code>length</code>: the length of the slice, for example <code>10</code> (maximum: <code>100</code>)</li>",N,M,oe="The <code>where</code> parameter must be expressed as a comparison predicate, which can be:",z,T,ae="<li>a simple predicate composed of a column name, a comparison operator, and a value<ul><li>the comparison operators are: <code>=</code>, <code>&lt;&gt;</code>, <code>&gt;</code>, <code>&gt;=</code>, <code>&lt;</code>, <code>&lt;=</code></li></ul></li> <li>a composite predicate composed of two or more simple predicates (optionally grouped with parentheses to indicate the order of evaluation), combined with logical operators<ul><li>the logical operators are: <code>AND</code>, <code>OR</code>, <code>NOT</code></li></ul></li>",A,y,ne="For example, the following <code>where</code> parameter value",O,b,R,L,ie=`will filter the data to select only those rows where the float “age” column is larger than 30 and,
either the string “name” column is equal to ‘Simone’ or the integer “children” column is equal to 0.`,F,v,B,H,se="If the result has <code>partial: true</code> it means that the filtering couldn’t be run on the full dataset because it’s too big.",G,P,re="Indeed, the indexing for <code>/filter</code> can be partial if the dataset is bigger than 5GB. In that case, it only uses the first 5GB.",I,S,J;return a=new _e({props:{title:"Filter rows in a dataset",local:"filter-rows-in-a-dataset",headingTag:"h1"}}),x=new ue({props:{warning:!0,$$slots:{default:[Ce]},$$scope:{ctx:q}}}),b=new ge({props:{code:"d2hlcmUlM0RhZ2UlM0UzMCUyMEFORCUyMChuYW1lJTNEJ1NpbW9uZSclMjBPUiUyMGNoaWxkcmVuJTNEMCk=",highlighted:'<span class="hljs-attribute">where</span>=age&gt;30 <span class="hljs-keyword">AND</span> (<span class="hljs-attribute">name</span>=<span class="hljs-string">&#x27;Simone&#x27;</span> <span class="hljs-keyword">OR</span> <span class="hljs-attribute">children</span>=0)',wrap:!1}}),v=new ue({props:{$$slots:{default:[Me]},$$scope:{ctx:q}}}),{c(){i=p("meta"),n=r(),h=p("p"),u=r(),W(a.$$.fragment),w=r(),m=p("p"),m.innerHTML=s,$=r(),W(x.$$.fragment),k=r(),g=p("p"),g.innerHTML=ee,D=r(),_=p("p"),_.innerHTML=te,E=r(),C=p("ul"),C.innerHTML=le,N=r(),M=p("p"),M.innerHTML=oe,z=r(),T=p("ul"),T.innerHTML=ae,A=r(),y=p("p"),y.innerHTML=ne,O=r(),W(b.$$.fragment),R=r(),L=p("p"),L.textContent=ie,F=r(),W(v.$$.fragment),B=r(),H=p("p"),H.innerHTML=se,G=r(),P=p("p"),P.innerHTML=re,I=r(),S=p("p"),this.h()},l(e){const t=xe("svelte-u9bgzb",document.head);i=d(t,"META",{name:!0,content:!0}),t.forEach(l),n=c(e),h=d(e,"P",{}),de(h).forEach(l),u=c(e),Q(a.$$.fragment,e),w=c(e),m=d(e,"P",{"data-svelte-h":!0}),f(m)!=="svelte-1stgbzm"&&(m.innerHTML=s),$=c(e),Q(x.$$.fragment,e),k=c(e),g=d(e,"P",{"data-svelte-h":!0}),f(g)!=="svelte-ciz8sn"&&(g.innerHTML=ee),D=c(e),_=d(e,"P",{"data-svelte-h":!0}),f(_)!=="svelte-1nmkycr"&&(_.innerHTML=te),E=c(e),C=d(e,"UL",{"data-svelte-h":!0}),f(C)!=="svelte-147r19"&&(C.innerHTML=le),N=c(e),M=d(e,"P",{"data-svelte-h":!0}),f(M)!=="svelte-g77254"&&(M.innerHTML=oe),z=c(e),T=d(e,"UL",{"data-svelte-h":!0}),f(T)!=="svelte-ag7tfz"&&(T.innerHTML=ae),A=c(e),y=d(e,"P",{"data-svelte-h":!0}),f(y)!=="svelte-1kpy5il"&&(y.innerHTML=ne),O=c(e),Q(b.$$.fragment,e),R=c(e),L=d(e,"P",{"data-svelte-h":!0}),f(L)!=="svelte-15zjrdb"&&(L.textContent=ie),F=c(e),Q(v.$$.fragment,e),B=c(e),H=d(e,"P",{"data-svelte-h":!0}),f(H)!=="svelte-au43li"&&(H.innerHTML=se),G=c(e),P=d(e,"P",{"data-svelte-h":!0}),f(P)!=="svelte-1cu3m9e"&&(P.innerHTML=re),I=c(e),S=d(e,"P",{}),de(S).forEach(l),this.h()},h(){X(i,"name","hf:doc:metadata"),X(i,"content",ye)},m(e,t){ve(document.head,i),o(e,n,t),o(e,h,t),o(e,u,t),Z(a,e,t),o(e,w,t),o(e,m,t),o(e,$,t),Z(x,e,t),o(e,k,t),o(e,g,t),o(e,D,t),o(e,_,t),o(e,E,t),o(e,C,t),o(e,N,t),o(e,M,t),o(e,z,t),o(e,T,t),o(e,A,t),o(e,y,t),o(e,O,t),Z(b,e,t),o(e,R,t),o(e,L,t),o(e,F,t),Z(v,e,t),o(e,B,t),o(e,H,t),o(e,G,t),o(e,P,t),o(e,I,t),o(e,S,t),J=!0},p(e,[t]){const ce={};t&2&&(ce.$$scope={dirty:t,ctx:e}),x.$set(ce);const pe={};t&2&&(pe.$$scope={dirty:t,ctx:e}),v.$set(pe)},i(e){J||(V(a.$$.fragment,e),V(x.$$.fragment,e),V(b.$$.fragment,e),V(v.$$.fragment,e),J=!0)},o(e){Y(a.$$.fragment,e),Y(x.$$.fragment,e),Y(b.$$.fragment,e),Y(v.$$.fragment,e),J=!1},d(e){e&&(l(n),l(h),l(u),l(w),l(m),l($),l(k),l(g),l(D),l(_),l(E),l(C),l(N),l(M),l(z),l(T),l(A),l(y),l(O),l(R),l(L),l(F),l(B),l(H),l(G),l(P),l(I),l(S)),l(i),K(a,e),K(x,e),K(b,e),K(v,e)}}}const ye='{"title":"Filter rows in a dataset","local":"filter-rows-in-a-dataset","sections":[],"depth":1}';function be(q){return he(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class je extends we{constructor(i){super(),$e(this,i,be,Te,me,{})}}export{je as component};
